clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CompileCheckVisitor Class Reference
Inheritance diagram for CompileCheckVisitor:
[legend]
Collaboration diagram for CompileCheckVisitor:
[legend]

## Public Member Functions
| CompileCheckVisitor ()
bool | TraverseStmt (Stmt *S)
bool | TraverseType (QualType T)
bool | TraverseTypeLoc (TypeLoc TL)
bool | TraverseNestedNameSpecifier (NestedNameSpecifier *NNS)
bool | TraverseNestedNameSpecifierLoc (NestedNameSpecifierLoc NNS)
bool | TraverseDeclarationNameInfo (DeclarationNameInfo NameInfo)
bool | TraverseTemplateName (TemplateName Template)
bool | TraverseTemplateArgument (const TemplateArgument &Arg)
bool | TraverseTemplateArgumentLoc (const TemplateArgumentLoc &ArgLoc)
bool | TraverseTemplateArguments (const TemplateArgument *Args, unsigned NumArgs)
bool | TraverseConstructorInitializer (CXXCtorInitializer *Init)
bool | TraverseLambdaCapture (LambdaCapture C)
bool | VisitLinkageSpecDecl (LinkageSpecDecl *D)
bool | VisitNamespaceDecl (const NamespaceDecl *D)
bool | VisitNamedDecl (NamedDecl *ND)

## Detailed Description

Definition at line 734 of file Modularize.cpp.

## Constructor & Destructor Documentation

CompileCheckVisitor::CompileCheckVisitor | ( |  | ) |
| inline

Definition at line 737 of file Modularize.cpp.

## Member Function Documentation

bool CompileCheckVisitor::TraverseConstructorInitializer | ( | CXXCtorInitializer * | Init | ) |
| inline

Definition at line 758 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseDeclarationNameInfo | ( | DeclarationNameInfo | NameInfo | ) |
| inline

Definition at line 746 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseLambdaCapture | ( | LambdaCapture | C | ) |
| inline

Definition at line 759 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseNestedNameSpecifier | ( | NestedNameSpecifier * | NNS | ) |
| inline

Definition at line 742 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseNestedNameSpecifierLoc | ( | NestedNameSpecifierLoc | NNS | ) |
| inline

Definition at line 743 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseStmt | ( | Stmt * | S | ) |
| inline

Definition at line 739 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseTemplateArgument | ( | const TemplateArgument & | Arg | ) |
| inline

Definition at line 750 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseTemplateArgumentLoc | ( | const TemplateArgumentLoc & | ArgLoc | ) |
| inline

Definition at line 751 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseTemplateArguments | ( | const TemplateArgument * | Args,
|  | unsigned | NumArgs
| ) |  |
| inline

Definition at line 754 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseTemplateName | ( | TemplateName | Template | ) |
| inline

Definition at line 749 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseType | ( | QualType | T | ) |
| inline

Definition at line 740 of file Modularize.cpp.

bool CompileCheckVisitor::TraverseTypeLoc | ( | TypeLoc | TL | ) |
| inline

Definition at line 741 of file Modularize.cpp.

bool CompileCheckVisitor::VisitLinkageSpecDecl | ( | LinkageSpecDecl * | D | ) |
| inline

Definition at line 762 of file Modularize.cpp.

bool CompileCheckVisitor::VisitNamedDecl | ( | NamedDecl * | ND | ) |
| inline

Definition at line 772 of file Modularize.cpp.

bool CompileCheckVisitor::VisitNamespaceDecl | ( | const NamespaceDecl * | D | ) |
| inline

Definition at line 767 of file Modularize.cpp.

The documentation for this class was generated from the following file:

- Modularize.cpp